#include <bits/stdc++.h>
#define pii pair<int,int>
#define x first
#define y second
using namespace std;

vector<pii> v;
int redom[100007];

long long Resi(int N, int *A, int *B)
{
    for(int i=0;i<N;i++) v.push_back({A[i],i});
    sort(v.begin(),v.end());
    for(int i=0;i<v.size();i++) redom[i]=v[i].y;
    long long res=0;
    int sad=0;
    //update(b[redom[0]],1);
    for(int i=1;i<v.size();i++)
    {
        int brv=0;
        for(int j=0;j<i;j++) brv+=B[redom[j]]>B[redom[i]];
        res+=min(brv,i-1-brv);
    }
    return res;
}